Skip to main content
GET
/
mdm
/
v1
/
collections
/
{collectionKey}
/
resources
/
{resourceId}
Retrieve a unified resource from mdm collection using its id
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/mdm/v1/collections/{collectionKey}/resources/{resourceId} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "id": "<string>",
  "type": "<string>",
  "meta": {
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "identifier": [
      {
        "id": "<string>",
        "system": "<string>",
        "value": "<string>",
        "use": "<string>",
        "period": {
          "id": "<string>",
          "start": "<string>",
          "end": "<string>"
        }
      }
    ]
  },
  "sourceResources": [
    {
      "id": "<string>",
      "type": "<string>",
      "data": {},
      "meta": {
        "createdAt": "2023-11-07T05:31:56Z",
        "identifier": [
          {
            "id": "<string>",
            "system": "<string>",
            "value": "<string>",
            "use": "<string>",
            "period": {
              "id": "<string>",
              "start": "<string>",
              "end": "<string>"
            }
          }
        ],
        "source": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "contained": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

collectionKey
string
required

Key of the collection.

resourceId
string
required

The Unified resource id.. Can also be an identifier with one of the following formats: - source:{sourceRecordId}:{sourceKey}.{sourceRecordType} (e.g. source:123:mySourceA.clinic). This is useful to fetch a record when knowing its source record id.

Response

A successful response.

id
string
required

is the id of the unified resource.

type
string
required

is the type of the unified resource.

meta
object
required

is the metadata of the unified resource.

sourceResources
object[]
required

is the list of source resources of the unified resource.